<?xml version="1.0" encoding="UTF-8" ?>
<ClassComponent localName="Inquirer" description="Компонент NPC."
	fileName="NPCInquirer.jar" className="org.mati.npc.components.inquirer.NPCInquirer"
	version="8884" time="17.02.2009 01:05:07">
	<Group>Основные компоненты</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InExecute"
		description="Связь, служащая для передачи сообщения о том, что необходимо выполнить операцию получения и передачи данных."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutGetSensorStatus" description="Связь, служащая для получения статуса сенсора."
		interfaceName="org.mati.npc.components.interfaces.Sensor" linksNumber="1"
		nullable="true">
	</OUTLink>
	<OUTLink name="OutSendSensorStatus"
		description="Связь, служащая для передачи полученного статуса сенсора."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutGetEffectorStatus"
		description="Связь, служащая для получения статуса эффектора."
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutSendEffectorStatus"
		description="Связь, служащая для передачи полученного статуса эффектора."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutGetFloatData"
		description="Связь, служащая для получения числовых данных от аналогового датчика."
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutSendFloatData"
		description="Связь, служащая для передачи полученных числовых данных от аналогового датчика."
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<!--PROPERTIES N/A-->
	<!--PROPERTIES END-->
</ClassComponent>